#import "src/lib.typ": *

#let date = (
  start: datetime(year: 2024, month: 05, day: 27),
  finish: datetime(year: 2024, month: 08, day: 30),
)
#set page(paper: "a3", flipped: true)
#show: doc => create(
  date-beginning: date.start,
  date-finish: date.finish,
  header-months: true,
  header-week-number: true,
  header-week-date: true,
  today-line: true,
  {

    task(
      [Researchs],
      (date.start, 1.4),
    )
    
    task(
      [Task B], // 1
      (datetime(year: 2024, month: 06, day: 5),1),
    )

    task(
      [Task C], // 2
      (datetime(year: 2024, month: 06, day: 12), 1.6),
    )

    task(
      [Task D1], // 2
      (datetime(year: 2024, month: 07, day:01), 1),
      (datetime(year: 2024, month: 07, day:15), 1),
    )
    
    task(
      [Task D2], // 2
      (datetime(year: 2024, month: 07, day: 1), 2),
    )

    task(
      [Task E], // 3
      (datetime(year: 2024, month: 07, day: 22), 2),
    )

    task(
      [Task F], // 2
      (datetime(year: 2024, month: 08, day: 5), 2),
    )
    
    task(
      [Task G], // 1
      (datetime(year: 2024, month: 08, day: 19), 1),
    )

    task(
      [Report / Presentation],
      (date.start, date.finish, true),
      (datetime(year: 2024, month: 06, day: 24), 1),
      (datetime(year: 2024, month: 06, day: 20), 1.2, false, true),
      (datetime(year: 2024, month: 08, day: 26), 1),
    )

    milestone(
      [Mid-term \ presentation],
      datetime(year: 2024, month: 07, day: 2)
    )
    
    milestone(
      [Final report],
      date.finish
    )
  }
)